# $Revision: 1.67 $, $Date: 2007-09-05 12:25:11 $
Summary:	ejects ejectable media and controls auto ejection
Summary(de.UTF-8):	wirft austauschbare Datenträger aus und steuert Auswurf
Summary(es.UTF-8):	Expulsa medias expulsables y controla autoexpulsión
Summary(fr.UTF-8):	éjecte un support éjectable et commande l'éjection automatique
Summary(pl.UTF-8):	Eject otwieranie szuflad CDROM, Jaz, ZIP i innych
Summary(pt_BR.UTF-8):	Ejeta mídias ejetáveis e controla auto-ejeção
Summary(ru.UTF-8):	Программа, выталкивающая сменные носители из накопителей
Summary(tr.UTF-8):	Eject yeteneği olan aygıtları kontrol eder
Summary(uk.UTF-8):	Програма, що виштовхує змінні носії з накопичувачів
Name:		eject
Version:	2.1.5
Release:	3
License:	GPL
Group:		Applications/System
Source0:	http://ca.geocities.com/jefftranter@rogers.com/eject-2.1.5.tar.gz
# Source0-md5:	b96a6d4263122f1711db12701d79f738
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	dd66d948c94fe0f0b4483c51873e6e20
Source2:	%{name}-pl.po
Patch0:		%{name}-gettext.patch
Patch1:		%{name}-po.patch
Patch2:		%{name}-symlink.patch
URL:		http://ca.geocities.com/jefftranter@rogers.com/eject.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel >= 0.15
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program allows the user to eject media that is autoejecting like
CD-ROMs, Jaz and Zip drives, and floppy drives on SPARC machines.

%description -l de.UTF-8
Dieses Programm ermöglicht auf SPARC-Rechnern das Auswerfen von
Datenträgern wie CD-ROMs, Jaz-, Zip- und Floppy-Disketten, die
normalerweise automatisch ausgeworfen werden.

%description -l es.UTF-8
Este programa permite al usuario expulsar media que es autoexpulsable
como CD-ROMs, drives Jaz y Zip y floppy drives en máquinas SPARC.

%description -l fr.UTF-8
Ce programme permet à l'utilisateur d'éjecter un support autoéjectable
comme les CD-ROM, les lecteurs Zip et Jaz, et les disquettes sur les
SPARC.

%description -l pl.UTF-8
Program do automatycznego otwierania szuflad w urządzeniach CDROM,
Jaz, ZIP floppy (na maszynach SPARC) oraz innych.

%description -l pt_BR.UTF-8
Este programa permite ao usuário ejetar mídia que é auto-ejetável como
CD-ROMs, drives Jaz e Zip e floppy drives em máquinas SPARC.

%description -l ru.UTF-8
Эта программа позволяет пользователю выталкивать сменные носители из
накопителей, поддерживающих программный eject (такие как CD-ROMы,
Iomega Jaz или Zip диски, флоппи-диски на SPARC-машинах). Eject может
также управлять некоторыми CD ченджерами.

%description -l tr.UTF-8
Bu yazılım paketi ile kullanıcıya 'eject' yeteneği olan aygıtları
kontrol olanağı verilmektedir. Bu yeteneği olan aygıtlar arasında
CD-ROM'lar, Zip sürücüleri ve bazı disket sürücüleri yer alır.

%description -l uk.UTF-8
Ця програма дозволяє користувачеві виштовхувати змінні носії з
накопичувачів, що підтримують програмний eject (такі як CD-ROMи,
Iomega Jaz чи Zip диски, флопі-диски на SPARC-машинах). Eject може
також управляти деякими CD ченджерами

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1

# standardize locale names
mv -f po/{cs_CZ,cs}.po
mv -f po/{de_DE,de}.po
mv -f po/{es_ES,es}.po
mv -f po/{fr_FR,fr}.po
mv -f po/{ja_JP.eucJP,ja}.po
mv -f po/{tr_TR,tr}.po
mv -f po/{zh_TW.UTF-8,zh_TW}.po

cp %{SOURCE2} po/pl.po

echo "cs de es fr ja pl pt_BR tr zh_TW" >> po/LINGUAS
printf "eject.c\ni18n.h\nvolname.c\n" >> po/POTFILES.in

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS PORTING PROBLEMS README TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: eject.spec,v $
Revision 1.67  2007-09-05 12:25:11  baggins
- rel 3

Revision 1.66  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.65  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.64  2006/09/10 09:40:55  qboosh
- updated po,symlink patches, pl.po and locale fixes; release 2

Revision 1.63  2006/08/29 17:41:08  wolf
- BR gettext-devel >= 0.15

Revision 1.62  2006/08/29 15:53:51  wolf
- 2.1.5

Revision 1.61  2006/08/29 15:43:09  wolf
- 2.1.0

Revision 1.60  2005/04/17 20:27:20  sparky
- fixed build with new gettext

Revision 1.59  2004/11/08 11:43:50  qboosh
- cleanup

Revision 1.58  2004/10/31 04:13:27  pluto
- FHS support added.
- invalid symlink resolver fixed.
- release 5.

Revision 1.57  2004/09/25 11:20:51  radek
- cosmetics (spaces -> tabs)

Revision 1.56  2004/08/04 06:23:24  ankry
- i18n fixes (-po patch), rel. 4

Revision 1.55  2004/02/14 17:18:59  averne
- release 3 for Ac

Revision 1.54  2004/02/02 19:05:27  grzegol
- added includes patch (don't include headers from /usr/src/linux)

Revision 1.53  2003/07/09 10:33:03  blues
- removed kloczkish

Revision 1.52  2003/07/08 17:20:58  blues
- next part of small fixes inpired by kloczek :)

Revision 1.51  2003/06/21 07:00:32  blues
- many small fixes, mostly in URLs and mostly by kloczek

Revision 1.50  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.49  2003/05/25 05:47:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.48  2003/04/24 17:22:26  qboosh
- removed DESTDIR_fix patch (!needed if gettextize is used)
- added pl.po, fixed localedir contents; release 2

Revision 1.47  2003/04/22 09:35:11  djrzulf
- updated to 2.0.13

Revision 1.46  2003/02/13 19:37:36  gotar
- cut off Vendor (we are package vendors and developers, program
  author, maintainter or developer info is in it's documentation),
- cosmetics.

Revision 1.45  2003/01/06 00:21:24  wiget
- added gettext patch and use %%find_lang macro
- release 6

Revision 1.44  2002/10/09 10:18:10  qboosh
- BR: gettext-devel; new %%doc

Revision 1.43  2002/07/17 09:41:33  krolik
Cosmetics:
- fixed Source0
- added Vendor field

Revision 1.42  2002/06/23 20:52:49  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.41  2002/05/21 23:12:58  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.40  2002/04/25 16:14:42  arturs
fixed a small typo

Revision 1.39  2002/04/25 09:01:56  kloczek
- bump release to 5 and merge translations from KSI and Conectiva.

Revision 1.38  2002/03/31 23:42:02  ankry
- updated non-english-man-pages (pl/eject.1)
- release 3

Revision 1.37  2002/03/24 23:28:15  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.36  2002/02/23 01:58:10  kloczek
- adapterized.

Revision 1.35  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.34  2002/01/24 00:12:58  ankry
- added man-pages tar URL

Revision 1.33  2002/01/18 02:12:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.32  2001/11/04 23:08:52  ankry
- added fi,hu,ja,pl man pages
- release 2

Revision 1.31  2001/11/04 01:48:39  blues
- 2.0.12
- new URL

Revision 1.30  2001/10/07 13:54:59  blues
- release 4
- ac/am ready

Revision 1.29  2001/08/13 21:28:26  kloczek
- release 3.

Revision 1.28  2001/08/08 23:07:46  agaran
added aclocal,autoconf to %build for build on ac-2.5

Revision 1.27  2001/06/22 05:14:42  kloczek
- updated to 2.0.9 and removed obsoleted ignorecomments patch.

Revision 1.26  2001/05/19 07:14:26  kloczek
- updated to 2.0.8,
- new Source url.

Revision 1.25  2001/05/17 20:45:58  kloczek
- updated to 2.0.7 (updated ignorecomments patch).

Revision 1.24  2001/05/11 15:48:31  kloczek
- updated to 2.0.6,
- switch to using new automake/autoconf building suit,
- more %doc.

Revision 1.23  2001/05/09 21:56:37  kloczek
- fix in %install.

Revision 1.22  2001/05/09 21:44:53  kloczek
- typo.

Revision 1.21  2001/05/09 21:40:52  kloczek
- release 3: include volname binary.

Revision 1.20  2001/05/05 19:07:27  kloczek
- release 2,
- merge rawhide patch for ignore commneted (hashed) lines in /etc/fstab.

Revision 1.19  2001/05/03 17:04:20  kloczek
- updated to 2.0.5.

Revision 1.18  2001/05/01 20:47:44  kloczek
- updated to 2.0.4.

Revision 1.17  2001/04/24 18:54:04  kloczek
- added using %%{rpmcflags} macro.

Revision 1.16  2001/04/24 15:16:42  lukasz
- updated to 2.0.3

Revision 1.15  2001/02/04 10:25:56  kloczek
- release 7: use rpm automation and adapterize spec.

Revision 1.14  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.13  2000/05/18 18:30:52  kloczek
- spec adapterized.

Revision 1.12  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.10  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun May 30 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [2.0.2-4]
- based on RH spec,
- spec rewrited by PLD team.
